# WARNING: This package is synced with Fedora

%define lib64arches	x86_64 aarch64

%ifarch %lib64arches
    %define _lib lib64
%else
    %define _lib lib
%endif

%define _prefix /usr
%define _libdir %_prefix/%_lib
%define _bindir %_prefix/bin
%define _sysconfdir /etc
%define _datadir /usr/share
%define _defaultdocdir %_datadir/doc
%define _localstatedir /var
%define _infodir %_datadir/info

%if %{?mklibname:0}%{?!mklibname:1}
%define mklibname(ds)  %{_lib}%{1}%{?2:%{2}}%{?3:_%{3}}%{-s:-static}%{-d:-devel}
%endif

%if %{?distsuffix:0}%{?!distsuffix:1}
%define distsuffix .mga
%endif

%if %{?_real_vendor:0}%{?!_real_vendor:1}
%define _real_vendor mageia
%endif

%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?distsuffix:%distsuffix}%{?!distsuffix:.mga}%{?mageia_release:%mageia_release}%{?subrel:.%subrel}
%endif

%if %{?pyver:0}%{?!pyver:1}
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")
%endif

%define __find_requires %{rpmhome}/%{_real_vendor}/find-requires %{?buildroot:%{buildroot}} %{?_target_cpu:%{_target_cpu}}
%define __find_provides %{rpmhome}/%{_real_vendor}/find-provides

# run internal testsuite?
%bcond_with check
# build with plugins?
%bcond_without plugins
# build with fsverity support?
%bcond_with fsverity
# build with ndb backend?
%bcond_without ndb
# build with sqlite support?
%bcond_without sqlite
# build with bdb_ro support?
%bcond_without bdb_ro
# build with sequoia crypto?
%bcond_with sequoia
%bcond_with debug

# Define directory which holds rpm config files, and some binaries actually
# NOTE: it remains */lib even on lib64 platforms as only one version
#       of rpm is supported anyway, per architecture
%define rpmhome /usr/lib/rpm

%global rpmver 4.18.2
#global snapver rc1
%global baserelease 1
%global sover 9

%global srcver %{rpmver}%{?snapver:-%{snapver}}
%global srcdir %{?snapver:testing}%{!?snapver:rpm-%(echo %{rpmver} | cut -d'.' -f1-2).x}
%global libmajor	%sover
%global librpmname      %mklibname rpm  %{libmajor}
%global librpmnamedevel %mklibname -d rpm
%global librpmsign      %mklibname rpmsign %{libmajor}
%global librpmbuild     %mklibname rpmbuild %{libmajor}

%global rpmsetup_version 1.34


Summary:	The RPM package management system
Name:		rpm
Epoch:		1
Version:	%{rpmver}
Release:	%mkrel %{?snapver:0.%{snapver}.}%{baserelease}
Group:		System/Packaging
Url:		http://www.rpm.org/
Source0:	http://ftp.rpm.org/releases/%{srcdir}/rpm-%{srcver}.tar.bz2
# extracted from https://pkgs.fedoraproject.org/cgit/redhat-rpm-config.git/plain/macros:
Source1:	macros.filter

Source10: rpmdb-rebuild.service

#
# Fedora patches
#

# Patches already upstream:
# ...
Patch100: rpm-4.18.x-add-pgpVerifySignature2-and-pgpPrtParams2.patch

# These are not yet upstream
Patch906: rpm-4.7.1-geode-i686.patch
# Probably to be upstreamed in slightly different form
Patch907: rpm-4.18.x-ldflags.patch
Patch908: rpm-4.18.x-revert-pandoc-cond.patch

#
# End of FC patches
# 

#
# Upstream patches not carried by FC:
#



#
# Mageia patches
#

# (tmb) stop trying to strip firmware files, they need to be intact.
Patch50:	rpm-4.18.0-dont-try-to-strip-firmware-files.patch

# In original rpm, -bb --short-circuit does not work and run all stage
# From popular request, we allow to do this
# http://qa.mandriva.com/show_bug.cgi?id=15896
Patch70:	rpm-4.18.0-bb-shortcircuit.patch

# don't conflict for doc files
# (to be able to install lib*-devel together with lib64*-devel even if they have conflicting manpages)
Patch83: rpm-4.12.0-no-doc-conflicts.patch

# Fix http://qa.mandriva.com/show_bug.cgi?id=19392
# (is this working??)
Patch84: rpm-4.15.0-rpmqv-ghost.patch

# without this patch, "#%%define foo bar" is surprisingly equivalent to "%%define foo bar"
# with this patch, "#%%define foo bar" is a fatal error
# Bug still valid => Send upstream for review.
Patch145: rpm-forbid-badly-commented-define-in-spec.patch

# (nb: see the patch for more info about this issue)
#Patch151: rpm-4.6.0-rc1-protect-against-non-robust-futex.patch

#
# Merge mageia's perl.prov improvements back into upstream:
#
# making sure automatic provides & requires for perl package are using the new
# macro %%perl_convert_version:
Patch162: use_perl_convert_version.diff

#
# Merge mageia's find-requires.sh improvements back into upstream:
#
# (tv) output perl-base requires instead of /usr/bin/perl with internal generator:
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch170: script-perl-base.diff
# (tv) do not emit requires for /bin/sh (required by glibc) or interpreters for which
# we have custom
Patch172: script-filtering.diff
# (tv) "resolve" /bin/env foo interpreter to actual path, rather than generating
# dependencies on coreutils, should trim off ~800 dependencies more
Patch173: script-env.diff
# (tv) output pkgconfig requires instead of /usr/bin/pkgconfig with internal generator:
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch174: pkgconfig.diff
# (tv) no not emit "rtld(GNU_HASH)" requires as we've support for it since mga1:
# (saves ~5K packages' dependency in synthesis)
Patch175: no-rtld_GNU_HASH_req.diff
# (tv) replace file deps by requires on packages (when interp is installed):
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch176: script-no-file-deps.diff
# (tv) replace file deps by requires on packages (common cases for !BRed interp):
# (ngompa) This patch can be dropped once we switch fully over to dnf
Patch177: script-no-file-deps2.diff
# (pt) generate ELF provides for libraries, not only for executables
Patch180: elf_libs_req.diff 
# [Suse]add --assumeexec option for previous patch:
Patch181: assumeexec.diff 
# (Martin Whitaker) disable the systemd-inhibit plugin when systemd-logind is not running (mga#20016):
Patch182: systemd-inhibit-requires-logind.patch

# (tv) Commit 816c7cf3fdae5c45de02a42a2245549778e2ca80 defaults to ignoring autodeps from docfile,
# which break perl autodeps from *META*:
Patch200: dont-filter-autodeps-from-doc-by-default.patch

# (wally) Don't own /usr/share/man/$LANG/man[1-9]/ directories when '%%find_lang foo --with-man --all-name' is used
Patch201: 0001-find-lang.sh-don-t-own-directories-when-with-man-all.patch

# Various arch enabling:
Patch3003: rpm_arm_mips_isa_macros.patch

# Mageia patches that are easier to rediff on top of FC patches:
#---------------------------------------------------------------

# Partially GPL/LGPL dual-licensed and some bits with BSD
# SourceLicense: (GPLv2+ and LGPLv2+ with exceptions) and BSD 
License: GPLv2+

BuildRequires:	autoconf
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(liblzma) >= 5
BuildRequires:	libgomp-devel
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	elfutils-devel
BuildRequires:	ed
BuildRequires:	gettext-devel
%if %{with plugins}
BuildRequires:	pkgconfig(dbus-1)
%endif
BuildRequires:	audit-libs-devel
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(popt)
BuildRequires:	magic-devel
BuildRequires:	rpm-%{_real_vendor}-setup-build %{?rpmsetup_version:>= %{rpmsetup_version}}
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	pkgconfig(lua) >= 5.4
BuildRequires:	pkgconfig(libcap)
BuildRequires:	libacl-devel
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libzstd)
%if %{with sqlite}
BuildRequires:	pkgconfig(sqlite3)
%endif

%if %{with sequoia}
%global crypto sequoia
BuildRequires: rpm-sequoia-devel >= 1.0.0
%else
%global crypto openssl
BuildRequires:	pkgconfig(libssl)
%endif

# for testsuite:
BuildRequires: eatmydata
%if %{with check}
BuildRequires: fakechroot
BuildRequires: debugedit >= 0.3
BuildRequires: gnupg2
%endif

Requires:	mktemp
Requires:	setup >= 2.2.0-8
Requires:	rpm-%{_real_vendor}-setup >= 1.85
# versioned deps for upgrades (mga #24767)
Requires:	%{_lib}db5.3 >= 5.3.28-17
Requires:	update-alternatives
Requires:	%librpmname = %epoch:%version-%release
%define         git_url        http://rpm.org/git/rpm.git
Requires(pre):		rpm-helper
Requires(pre):		coreutils
Requires(postun):	rpm-helper

# Weakly depend on stuff that used to be in main rpm package
Recommends: rpm-plugin-syslog
Recommends: rpm-plugin-ima
Recommends: rpm-plugin-systemd-inhibit

%if %{with fsverity}
#BuildRequires: fsverity-devel
%endif

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package -n %librpmname
Summary:  Libraries for manipulating RPM packages
Group:	  System/Libraries
License: GPLv2+ and LGPLv2+ with exceptions
Provides: librpm = %version-%release
Provides: rpm-libs = %{version}-%{release}
Provides: rpm-libs%{_isa} = %{version}-%{release}

%description -n %librpmname
This package contains the RPM shared libraries.

%package   -n %librpmbuild
Summary:   Libraries for building RPM packages
Group:     System/Libraries
License: GPLv2+ and LGPLv2+ with exceptions
Obsoletes: rpm-build-libs < %{version}-%{release}
Provides: rpm-build-libs%{_isa} = %{version}-%{release}

%description -n %librpmbuild
This package contains the RPM shared libraries for building packages.

%package  -n %librpmsign
Summary:  Libraries for signing RPM packages
Group:    System/Libraries
License: GPLv2+ and LGPLv2+ with exceptions
Requires: gnupg2

%description -n %librpmsign
This package contains the RPM shared libraries for signing packages.

%package -n %librpmnamedevel
Summary:	Development files for manipulating RPM packages
Group:		Development/C
License: GPLv2+ and LGPLv2+ with exceptions
Requires:	rpm = %epoch:%{version}-%{release}
Provides:	librpm-devel = %version-%release
Provides:   	rpm-devel = %version-%release
Requires:       %librpmname = %epoch:%version-%release
Requires:       %librpmbuild = %epoch:%version-%release
Requires:       %librpmsign = %epoch:%version-%release

%description -n %librpmnamedevel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary:	Scripts and executable programs used to build packages
Group:		System/Packaging
Requires:	autoconf
Requires:	automake
# /usr/lib/rpm/check-files: line 31: diff: command not found
Requires:	diffutils
Requires:	file
Requires:	gcc-c++
# We need cputoolize & amd64-* alias to x86_64-* in config.sub
Requires:	libtool-base
Requires:	patch
Requires:	make
Requires:	elfutils >= 0.167-2
Requires:	perl(CPAN::Meta) >= 2.112.150
Requires:	perl(ExtUtils::MakeMaker) >= 6.570_700
Requires:       perl(YAML::Tiny)
Requires:	rpm = %epoch:%{version}-%{release}
Requires:	%librpmbuild = %epoch:%version
Requires:	python3-rpm-generators
Requires:	gawk
Requires:	tar unzip gzip bzip2 cpio xz
Requires:	zstd
Requires:	debugedit >= 0.3
Recommends: gdb-minimal
# Technically rpmbuild doesn't require any external configuration, but
# creating distro-compatible packages does. To make the common case
# "just work" while allowing for alternatives, depend on a virtual
# provide, typically coming from redhat-rpm-config.
Requires:	rpm-%{_real_vendor}-setup-build %{?rpmsetup_version:>= %{rpmsetup_version}}

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%package sign
Summary: Package signing support
Group:   System/Base

%description sign
This package contains support for digitally signing RPM packages.

%package -n python3-%{name}
Summary:	Python 3 bindings for apps which will manipulate RPM packages
Group:		Development/Python
Requires:	rpm = %epoch:%{version}-%{release}
Provides:	rpm-python = %epoch:%{version}-%{release}

%description -n python3-%{name}
The python3-rpm package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python 3
programs that will manipulate RPM packages and databases.

%package apidocs
Summary: API documentation for RPM libraries
Group:   Documentation
BuildArch: noarch

%description apidocs
This package contains API documentation for developing applications
that will manipulate RPM packages and databases.

%package cron
Summary: Create daily logs of installed packages
Group: System/Base
BuildArch: noarch
Requires: crontabs
Requires: logrotate
Requires: rpm = %{epoch}:%{version}-%{release}

%description cron
This package contains a cron job which creates daily logs of installed
packages on a system.

%if %{with plugins}
%package plugin-selinux
Summary: Rpm plugin for SELinux functionality
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: selinux-policy-base

%description plugin-selinux
This plugin adds support for enforcing and verifying SELinux labels
in an rpm.

%package plugin-syslog
Summary: Rpm plugin for syslog functionality
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-syslog
This plugin exports RPM actions to the system log.

%package plugin-systemd-inhibit
Summary: Rpm plugin for systemd inhibit functionality
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-systemd-inhibit
This plugin blocks systemd from entering idle, sleep or shutdown while an rpm
transaction is running using the systemd-inhibit mechanism.

%package plugin-ima
Summary: Rpm plugin for IMA file signatures
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-ima
This plugin adds support for enforcing and verifying IMA file signatures
in an rpm.

%package plugin-prioreset
Summary: Rpm plugin for resetting scriptlet priorities for SysV init
Group: System/Base
Requires: %{librpmname}%{?_isa} = %{epoch}:%{version}-%{release}

%description plugin-prioreset
%{summary}.

Useful on legacy SysV init systems if you run rpm transactions with
nice/ionice priorities. Should not be used on systemd systems.

%package plugin-audit
Summary: Rpm plugin for logging audit events on package operations
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-audit
%{summary}.

%package plugin-fsverity
Summary: Rpm plugin for fsverity file signatures
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-fsverity
%{summary}.

%package plugin-fapolicyd
Summary: Rpm plugin for fapolicyd support
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-fapolicyd
%{summary}.

See https://people.redhat.com/sgrubb/fapolicyd/ for information about
the fapolicyd daemon.

%package plugin-dbus-announce
Summary: Rpm plugin for announcing transactions on the DBUS
Requires: rpm-libs%{_isa} = %{version}-%{release}

%description plugin-dbus-announce
The plugin announces basic information about rpm transactions to the
system DBUS - like packages installed or removed.  Other programs can
subscribe to the signals to get notified when packages on the system
change.

# with plugins
%endif

%prep
%autosetup -n rpm-%{srcver} -p1

# switch to sqlite db by default, including during build-time tests
%if %{with sqlite}
sed -i -e "/_db_backend/ s/ bdb/ sqlite/g" macros.in
%endif

%build
%define _disable_ld_no_undefined 1

%if %with debug
RPM_OPT_FLAGS=-g
%endif
%set_build_flags

autoreconf -i -f

%configure \
    --localstatedir=%{_var} \
    --sharedstatedir=%{_var}/lib \
    %{?_with_debug} \
    --with-lua \
    --with-selinux \
    --with-cap \
    --with-acl \
    --with-fapolicyd \
    %{?with_ndb: --enable-ndb} \
    %{?with_fsverity: --with-fsverity} \
    %{?with_sqlite: --enable-sqlite} \
    %{?with_bdb_ro: --enable-bdb-ro} \
    --enable-python \
    --with-crypto=%{crypto}

%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{_unitdir}

# Save list of packages through cron
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/rpm

test -d doc-copy || mkdir doc-copy
rm -rf doc-copy/*
ln -f docs/manual/* doc-copy/
rm -f doc-copy/Makefile*

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage

mkdir -p %buildroot%rpmhome/macros.d
install %SOURCE1 %buildroot%rpmhome/macros.d
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
mkdir -p %buildroot%_sysconfdir/rpm
cat > %buildroot%_sysconfdir/rpm/macros <<EOF
# Put your own system macros here
# usually contains 

# Set this one according your locales
# %%_install_langs

EOF

# init an empty database for %ghost'ing for all supported backends
for be in %{?with_ndb:ndb} %{?with_sqlite:sqlite}; do
    ./rpmdb --define "_db_backend ${be}" --dbpath=${PWD}/${be} --initdb
    cp -va ${be}/. $RPM_BUILD_ROOT/var/lib/rpm/
done

# some packages invoke find-debuginfo directly, preserve compat for now
ln -s ../../bin/find-debuginfo $RPM_BUILD_ROOT/usr/lib/rpm/find-debuginfo.sh

%find_lang rpm

find $RPM_BUILD_ROOT -name "*.la"|xargs rm -f

# We don't ship those historically (save ~432kb of space):
rm -rf %buildroot/%{rpmhome}/platform/m68k-linux
rm -rf %buildroot/%{rpmhome}/platform/riscv64-linux
%ifnarch %{ix86} x86_64
rm -rf %buildroot/%{rpmhome}/platform/i*86-linux
rm -rf %buildroot/%{rpmhome}/platform/athlon-linux
rm -rf %buildroot/%{rpmhome}/platform/pentium*-linux
rm -rf %buildroot/%{rpmhome}/platform/geode-linux
%endif
%ifnarch x86_64
rm -rf %buildroot/%{rpmhome}/platform/amd64-linux
rm -rf %buildroot/%{rpmhome}/platform/ia32e-linux
rm -rf %buildroot/%{rpmhome}/platform/x86_64-linux
%endif
%ifnarch %arm aarch64
rm -rf %buildroot/%{rpmhome}/platform/arm*
rm -rf %buildroot/%{rpmhome}/platform/aarch64*
%endif
# new in 4.10.0:
rm -rf %buildroot/%{rpmhome}/platform/alpha*-linux
rm -rf %buildroot/%{rpmhome}/platform/sparc*-linux
rm -rf %buildroot/%{rpmhome}/platform/ia64*-linux
rm -rf %buildroot/%{rpmhome}/platform/m68k*-linux
rm -rf %buildroot/%{rpmhome}/platform/mips*-linux
rm -rf %buildroot/%{rpmhome}/platform/ppc*-linux
rm -rf %buildroot/%{rpmhome}/platform/s390*-linux
rm -rf %buildroot/%{rpmhome}/platform/sh*-linux

# These live in python-rpm-generators now
rm -f $RPM_BUILD_ROOT/%{rpmhome}/pythond*
rm -f $RPM_BUILD_ROOT/%{_fileattrsdir}/python*

%if %{with debugedit}
rm -f $RPM_BUILD_ROOT/%{rpmhome}/{debugedit,sepdebugcrcfix,find-debuginfo.sh}
%endif

%if %{with check}
%check
eatmydata make -j check TESTSUITEFLAGS="-j%{_smp_build_ncpus}" || (cat tests/rpmtests.log; exit 1)
# rpm >= 4.16.0 testsuite leaves a read-only tree behind, clean it up
make clean
%endif

%pre
/usr/share/rpm-helper/add-user rpm $1 rpm /var/lib/rpm /bin/false

%pretrans -p <lua> -n python3-rpm
-- (tv) temp upgrade for cauldron:
path = "%{python3_sitearch}/rpm-4.18.0-py3.10.egg-info"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%postun
/usr/share/rpm-helper/del-user rpm $1 rpm

# Handle rpmdb rebuild service on erasure of old to avoid ordering issues
# https://pagure.io/fesco/issue/2382
%triggerun -- rpm < 1:4.16.1.3-4
if [ -x /usr/bin/systemctl ]; then
    systemctl --no-reload preset rpmdb-rebuild ||:
fi

%posttrans
if [ -f /var/lib/rpm/Packages ]; then
    touch /var/lib/rpm/.rebuilddb
fi

%define	rpmattr		%attr(0755, rpm, rpm)

%files -f rpm.lang
%license COPYING
%doc CREDITS docs/manual/[a-z]*

%attr(0755,rpm,rpm) %{_bindir}/rpm
%attr(0755, rpm, rpm) %{_bindir}/rpm2cpio
%attr(0755, rpm, rpm) %{_bindir}/rpm2archive
%attr(0755, rpm, rpm) %{_bindir}/gendiff
%attr(0755, rpm, rpm) %{_bindir}/rpmdb
%attr(0755, rpm, rpm) %{_bindir}/rpmkeys
%attr(0755, rpm, rpm) %{_bindir}/rpmgraph
%{_bindir}/rpmquery
%{_bindir}/rpmverify

%dir %{_localstatedir}/spool/repackage
%dir %{rpmhome}
%dir /etc/rpm
%config(noreplace) /etc/rpm/macros
%attr(0755, rpm, rpm) %{rpmhome}/rpmdb_*
%attr(0644, rpm, rpm) %{rpmhome}/macros
%rpmhome/macros.d
%{rpmhome}/lua
%attr(0755, rpm, rpm) %{rpmhome}/rpm.*
%attr(0644, rpm, rpm) %{rpmhome}/rpmpopt*
%attr(0644, rpm, rpm) %{rpmhome}/rpmrc

%rpmattr	%{rpmhome}/rpm2cpio.sh
%rpmattr	%{rpmhome}/tgpg

%{_mandir}/man8/rpm.8*
%{_mandir}/man8/rpmdb.8*
%{_mandir}/man8/rpmgraph.8*
%{_mandir}/man8/rpmkeys.8*
%{_mandir}/man8/rpm2archive.8*
%{_mandir}/man8/rpm2cpio.8*
%{_mandir}/man8/rpm-misc.8*
%{_mandir}/man8/rpm-plugins.8*
%{_mandir}/man1/*.1*

# XXX this places translated manuals to wrong package wrt eg rpmbuild
%lang(fr) %{_mandir}/fr/man[18]/*.[18]*
%lang(ko) %{_mandir}/ko/man[18]/*.[18]*
%lang(ja) %{_mandir}/ja/man[18]/*.[18]*
%lang(pl) %{_mandir}/pl/man[18]/*.[18]*
%lang(ru) %{_mandir}/ru/man[18]/*.[18]*
%lang(sk) %{_mandir}/sk/man[18]/*.[18]*

%attr(0755, rpm, rpm)	%dir %_localstatedir/lib/rpm

%{_unitdir}/rpmdb-rebuild.service
%attr(0644, root, root) %ghost %config(missingok,noreplace) /var/lib/rpm/*
%attr(0644, root, root) %ghost /var/lib/rpm/.*.lock

%{rpmhome}/platform

%dir %{rpmhome}/fileattrs

%files -n %librpmname
%{_libdir}/librpm.so.%{libmajor}{,.*}
%{_libdir}/librpmio.so.%{libmajor}{,.*}
%if %{with plugins}
%dir %{_libdir}/rpm-plugins

%files plugin-syslog
%{_libdir}/rpm-plugins/syslog.so
%{_mandir}/man8/rpm-plugin-syslog.8*

%files plugin-selinux
%{_libdir}/rpm-plugins/selinux.so
%{_mandir}/man8/rpm-plugin-selinux.8*

%files plugin-systemd-inhibit
%{_libdir}/rpm-plugins/systemd_inhibit.so
%{_mandir}/man8/rpm-plugin-systemd-inhibit.8*

%files plugin-ima
%{_libdir}/rpm-plugins/ima.so
%{_mandir}/man8/rpm-plugin-ima.8*

%files plugin-fsverity
%{_libdir}/rpm-plugins/fsverity.so

%files plugin-fapolicyd
%{_libdir}/rpm-plugins/fapolicyd.so
%{_mandir}/man8/rpm-plugin-fapolicyd.8*

%files plugin-prioreset
%{_libdir}/rpm-plugins/prioreset.so
%{_mandir}/man8/rpm-plugin-prioreset.8*

%files plugin-audit
%{_libdir}/rpm-plugins/audit.so
%{_mandir}/man8/rpm-plugin-audit.8*
# with plugins

%files plugin-dbus-announce
%{_libdir}/rpm-plugins/dbus_announce.so
%{_mandir}/man8/rpm-plugin-dbus-announce.8*
%{_sysconfdir}/dbus-1/system.d/org.rpm.conf
%endif

%files -n %librpmbuild
%{_libdir}/librpmbuild.so.%{libmajor}{,.*}

%files -n %librpmsign
%{_libdir}/librpmsign.so.%{libmajor}{,.*}

%files build
%doc doc-copy/*
%rpmattr	%{_bindir}/rpmbuild
%rpmattr        %{_bindir}/rpmspec
%rpmattr        %{_bindir}/rpmlua

%{_mandir}/man8/rpmbuild.8*
%{_mandir}/man8/rpmdeps.8*
%{_mandir}/man8/rpmspec.8*
%{_mandir}/man8/rpmlua.8*

%{rpmhome}/brp-*
%{rpmhome}/check-*
%{rpmhome}/find-lang.sh
%{rpmhome}/*provides*
%{rpmhome}/*requires*
%{rpmhome}/*deps*
%{rpmhome}/*.prov
%{rpmhome}/*.req
%{rpmhome}/mkinstalldirs
%{rpmhome}/fileattrs/*
%{rpmhome}/find-debuginfo.sh
%{rpmhome}/rpmuncompress

%files sign
%{_bindir}/rpmsign
%{_mandir}/man8/rpmsign.8*

%files -n python3-%{name}
%{python3_sitearch}/rpm-%{rpmver}*.egg-info
%{python3_sitearch}/rpm/__init__.py
%{python3_sitearch}/rpm/transaction.py
%{python3_sitearch}/rpm/_rpm.so
%artifact %{python3_sitearch}/rpm/__pycache__/

%files -n %librpmnamedevel
%{_libdir}/librp*[a-z].so
%{_libdir}/pkgconfig/rpm.pc
%{_includedir}/rpm/

%files cron
%{_sysconfdir}/cron.daily/rpm
%config(noreplace) %{_sysconfdir}/logrotate.d/rpm

%files apidocs
%license COPYING
%doc docs/librpm/html/*



%changelog
* Thu Nov 30 2023 tv <tv> 1:4.18.2-1.mga9
+ Revision: 2011920
- Rebase to rpm 4.18.2 (https://rpm.org/wiki/Releases/4.18.2)

* Sat Feb 25 2023 wally <wally> 1:4.18.0-7.mga9
+ Revision: 1945310
- switch python3 pkg %%pretrans egg-info removal to lua and do it only if the old one is directory

* Fri Feb 24 2023 tv <tv> 1:4.18.0-6.mga9
+ Revision: 1945218
- Fix directory on file egg-info update

* Thu Feb 23 2023 tv <tv> 1:4.18.0-5.mga9
+ Revision: 1945181
- Disable debuginfod lookups in rpmbuild scripts
  (elfutils-0.182+ starting to do network lookups for ELF symbol information
  which we don't want when running rpmbuild)
- Exclude kernel modules from ELF dependency generation (save cycles)
- Drop the temporary setup.py-based Python build (rhbz#2135719)
- Generate Python egg-info from automake (rhbz#2135561) just in case b/c of above
- Fix breakage in wally's previous commit
+ wally <wally>
- stop shipping unused /etc/rpm/macros.d/ dir

* Sat Jan 07 2023 wally <wally> 1:4.18.0-4.mga9
+ Revision: 1931015
- drop unneeded /etc/rpm/macros.d/*.macros patch from 2008 as all macros are nowadays in proper places

* Sun Dec 11 2022 tv <tv> 1:4.18.0-3.mga9
+ Revision: 1920507
- Fix hang-up on failed key import (rhbz#2149762)
- Allow future building with sequoia

* Tue Nov 29 2022 tmb <tmb> 1:4.18.0-2.mga9
+ Revision: 1912555
- stop trying to strip firmware files

* Wed Oct 12 2022 tv <tv> 1:4.18.0-1.mga9
+ Revision: 1896595
- Rebase to rpm 4.18.0 (https://rpm.org/wiki/Releases/4.18.0)

* Fri Sep 02 2022 tv <tv> 1:4.18.0-0.rc1.1.mga9
+ Revision: 1883431
- Rebase to 4.18.0-rc1 (https://rpm.org/wiki/Releases/4.18.0)

* Fri Aug 05 2022 wally <wally> 1:4.18.0-0.beta1.5.mga9
+ Revision: 1875357
- add cherry-picked upstream patch to fix query arguments with ^ not working (mga#30419)

* Wed Aug 03 2022 tv <tv> 1:4.18.0-0.beta1.4.mga9
+ Revision: 1874977
- Fix check-buildroot regression wrt bundled SRPM (rhbz#2104150)
- Revert %%autosetup -S git patch due to another regression

* Thu Jun 30 2022 tv <tv> 1:4.18.0-0.beta1.1.mga9
+ Revision: 1866796
- Rebase to 4.18.0-beta1 (https://rpm.org/wiki/Releases/4.18.0)

* Mon May 23 2022 tv <tv> 1:4.18.0-0.alpha2.2.mga9
+ Revision: 1859939
- Prevent uncontrolled sqlite WAL growth during large transactions

* Mon May 16 2022 tv <tv> 1:4.18.0-0.alpha2.1.mga9
+ Revision: 1858335
- Rebase to 4.18.0 alpha 2 (https://fedoraproject.org/wiki/Changes/RPM-4.18)

* Thu Apr 28 2022 tv <tv> 1:4.18.0-0.alpha1.6.mga9
+ Revision: 1854865
- Fix rubygem unpack regression, causing rubygem builds to fail
- Fix verbose source uncompress regression (rhbz#2079127)
- Further dynamic buildrequires cli switch regression fixes (rhbz#2078744)
- Fix rpmbuild -ba --nodeps regression wrt dynamic buildrequires (rhbz#2078744)
- Rebase to 4.18.0 alpha (https://fedoraproject.org/wiki/Changes/RPM-4.18)
- Add patches for two late discovered regressions
- Fix rpmbuild -br not producing a src.rpm regression (#2078744)

* Sat Feb 05 2022 wally <wally> 1:4.17.0-6.mga9
+ Revision: 1771773
- rebuild for python3.10

* Fri Feb 04 2022 tv <tv> 1:4.17.0-5.mga9
+ Revision: 1771404
- Really fix spurious %%transfiletriggerpostun execution (rhbz#2023311, rhbz#2048168)

* Wed Jan 19 2022 tv <tv> 1:4.17.0-4.mga9
+ Revision: 1769033
- Fix spurious %%transfiletriggerpostun execution (rhbz#2023311)

* Fri Oct 01 2021 tmb <tmb> 1:4.17.0-2.mga9
+ Revision: 1747304
- rebuild for openssl 3.0.0

* Sun Sep 05 2021 tv <tv> 1:4.17.0-1.2.mga9
+ Revision: 1744357
- Rebase to 4.17.0 final (https://rpm.org/wiki/Releases/4.17.0)

* Fri Aug 27 2021 tv <tv> 1:4.17.0-0.rc1.0.2.mga9
+ Revision: 1742683
- Drop reverting bumping sqlite timeout
- Recommends gdb-minimal

* Sat Aug 21 2021 tv <tv> 1:4.17.0-0.rc1.0.1.mga9
+ Revision: 1742102
- Revert increasing sqlite timeout for now

* Fri Aug 20 2021 tv <tv> 1:4.17.0-0.rc1.0.mga9
+ Revision: 1742017
- Rebase to 4.17.0 rc1
  https://rpm.org/wiki/Releases/4.17.0
  https://lists.rpm.org/pipermail/rpm-announce/2021-August/000091.html
- Add plugin-dbus-announce sub pkg
- Move requires on gawk, tar, unzip, gzip, bzip2, cpio, xz, zstd, debugedit from rpm into rpm-build
- librpmsign needs gnupg2...

* Thu Jun 24 2021 tv <tv> 1:4.17.0-0.beta1.2.mga9
+ Revision: 1732085
- Add back /usr/lib/rpm/find-debuginfo.sh as a compat symlink
  (some packages invoke find-debuginfo directly, preserve compat for now)
- BR debugedit

* Tue Jun 22 2021 tv <tv> 1:4.17.0-0.beta1.1.mga9
+ Revision: 1731721
- 4.17.0 beta1 (https://rpm.org/wiki/Releases/4.17.0)
- Rediff patches
- Drop merged patches
- Drop patches for removed files
- Fixup beta1 issues regarding docs vs pandoc

* Sat Jun 12 2021 tv <tv> 1:4.16.90-0.git15395.3.mga9
+ Revision: 1730475
- Support hash v8 databases from BDB < 4.6 in bdb_ro
  Fixes reading rpm databases from older distros like very old mdv (<2008),
  SLES 11 or RHEL 5

* Tue Jun 01 2021 tv <tv> 1:4.16.90-0.git15395.2.mga9
+ Revision: 1729162
- Fix regression reading rpm v3 and other rare packages (#1635)

* Fri May 21 2021 tv <tv> 1:4.16.90-0.git15395.1.mga9
+ Revision: 1725980
- Rebase to rpm 4.17.0 alpha (https://rpm.org/wiki/Releases/4.17.0)
- Switch to external debugedit
- Enable fapolicyd plugin build
- Add build conditional for fsverity plugin

* Fri May 21 2021 tv <tv> 1:4.16.1.3-4.mga9
+ Revision: 1725909
- Add rpmdb-rebuild systemd service
- Issue deprecation warning when creating BDB databases (rhbz#1787311)
- Switch rpmdb from libdb to sqlite on reboot

* Sat Apr 24 2021 tmb <tmb> 1:4.16.1.3-3.mga9
+ Revision: 1719247
- disable check... apparently fakechroot is broken
- rebuild with gcc 11.1

* Fri Apr 02 2021 wally <wally> 1:4.16.1.3-2.mga9
+ Revision: 1712665
- rebuild for lua 5.4

* Sun Mar 28 2021 tv <tv> 1:4.16.1.3-1.1.mga9
+ Revision: 1711579
- Add DWARF5 support to debugedit

* Sun Mar 28 2021 tv <tv> 1:4.16.1.3-1.mga9
+ Revision: 1711289
- Rebase to rpm 4.16.1.3 (https://rpm.org/wiki/Releases/4.16.1.3)

* Sun Mar 14 2021 wally <wally> 1:4.16.1.2-5.mga9
+ Revision: 1702572
- rebuild for python 3.9

* Sat Mar 13 2021 wally <wally> 1:4.16.1.2-4.mga9
+ Revision: 1702295
- rebuild for mga9 toolset
+ tv <tv>
- Make with/without bdb build option actually work

* Thu Feb 25 2021 neoclust <neoclust> 1:4.16.1.2-3.mga9
+ Revision: 1691076
- Add rpm-python as a provide for compatible reason

* Fri Jan 29 2021 ngompa <ngompa> 1:4.16.1.2-2.mga8
+ Revision: 1674035
- Build SELinux plugin to satisfy dependency for selinux-policy

* Wed Dec 16 2020 tv <tv> 1:4.16.1.2-1.mga8
+ Revision: 1658051
- Rebase to rpm 4.16.1.2 (http://rpm.org/wiki/Releases/4.16.1.2)

* Thu Dec 10 2020 tv <tv> 1:4.16.1-1.mga8
+ Revision: 1655132
- Rebase to rpm 4.16.1 (http://rpm.org/wiki/Releases/4.16.1)

* Mon Nov 30 2020 tv <tv> 1:4.16.0-4.mga8
+ Revision: 1650709
- Fix BDB crashing on failed open attempts (rhbz#1902395, #1898299, #1900407)
- Fix unnecessary double failure on lazy keyring open

* Mon Oct 05 2020 tv <tv> 1:4.16.0-3.mga8
+ Revision: 1632276
- move mkinstalldirs, elfdeps, & fileattrs/*.attr from rpm into rpm-build
  no need for file conflicts as they're always in the same priority transaction
- simplify platform filelist
- simplify filelist
- remove workaround accordingly

* Mon Oct 05 2020 tv <tv> 1:4.16.0-2.mga8
+ Revision: 1632245
- Clean up after test-suite which leaves a read-only tree behind

* Wed Sep 30 2020 tv <tv> 1:4.16.0-1.mga8
+ Revision: 1631274
- Rebase to 4.16.0 final (https://rpm.org/wiki/Releases/4.16.0)

* Mon Aug 31 2020 tv <tv> 1:4.16.0-0.rc1.1.mga8
+ Revision: 1620539
- Rebase to 4.16.0-rc1
- use %%set_build_flags

* Wed Jun 24 2020 tv <tv> 1:4.16.0-0.beta3.2.mga8
+ Revision: 1599088
- rebuild with the new fixed tarball (sigh) with fixed tests
- do not ignore the testsuite results anymore
- drop mga6 -> mga7 conflict upgrades

* Wed Jun 24 2020 tv <tv> 1:4.16.0-0.beta3.1.mga8
+ Revision: 1599080
- 4.16.0 beta3 -- https://rpm.org/wiki/Releases/4.16.0

* Tue Jun 23 2020 tv <tv> 1:4.16.0-0.beta2.1.mga8
+ Revision: 1598795
- work-around different uname mask on BS
- ignore test failing on !x86_64 due to hardcoded arch
- run testsuite in // now that it's possible
  (gain is higher on SSD)
- 4.16.0 beta2 (https://rpm.org/wiki/Releases/4.16.0)
- revert bash change

* Thu Jun 18 2020 tv <tv> 1:4.16.0-0.beta1.5.mga8
+ Revision: 1596381
- emit deps on bash instead of on /usr/bin/bash

* Thu Jun 11 2020 tv <tv> 1:4.16.0-0.beta1.4.mga8
+ Revision: 1592273
- Fix prefix search on sqlite backend (many file triggers not running)

* Tue Jun 09 2020 tv <tv> 1:4.16.0-0.beta1.3.mga8
+ Revision: 1591202
- Unbreak metainfo() provide generation
- Don't auto-enable _flush_io on non-rotational media, it's too costly
- use a patch instead of deleting man8/rpm-plugin-selinux.8

* Sun May 31 2020 tv <tv> 1:4.16.0-0.beta1.1.mga8
+ Revision: 1589164
- 4.16.0 beta1

* Thu May 21 2020 wally <wally> 1:4.15.90-0.git14971.5.mga8
+ Revision: 1586737
- rebuild for arm

* Thu May 21 2020 wally <wally> 1:4.15.90-0.git14971.4.mga8
+ Revision: 1586719
- make rpm-build to require diffutils for diff command
- add patch to make pkgs to not own localized man page dirs when %%find_lang is used with '--with-man --all-name'

* Tue May 19 2020 tv <tv> 1:4.15.90-0.git14971.3.mga8
+ Revision: 1586106
- drop patch fixing testsuite regarding glibc debuginfo leak
- no more need to initdb in %%post
- kill old mandrake bits in %%pre

* Thu Apr 23 2020 tv <tv> 1:4.15.90-0.git14971.2.mga8
+ Revision: 1571388
- Fix regression(s) on build dependency resolution
- Add rpmdb-rebuild systemd service

* Tue Apr 21 2020 tv <tv> 1:4.15.90-0.git14971.1.mga8
+ Revision: 1570321
- build: prioritize large packages
- drop 2 years old temp cauldron fix
- drop obsolete nss BR & hack as it's obsolete

* Tue Apr 21 2020 tv <tv> 1:4.15.90-0.git14971.0.6.mga8
+ Revision: 1570230
- Warn on undefined macros in buildtree setup macros (rhbz#1820349)

* Tue Apr 14 2020 tv <tv> 1:4.15.90-0.git14971.0.5.mga8
+ Revision: 1567288
- Reimplement pythondeps.sh as parametric macro generators (way faster)
  (python-rpm-generators will need for the similar change)
- Time to go into core/release
- Fix regression causing all ELF files classified as OCaml

* Wed Apr 08 2020 tv <tv> 1:4.15.90-0.git14971.0.4.mga8
+ Revision: 1565575
- revert setting --with-vendor=%%_vendor as it breaks the macro path due to uppercase, thus eg mkrel is undefined

* Tue Apr 07 2020 tv <tv> 1:4.15.90-0.git14971.0.3.mga8
+ Revision: 1565401
- Fix invalid path passed to parametric macro generators
- Fix regression causing segfault on database autodetection
- set vendor
- fix librpmsign summary & description

* Wed Apr 01 2020 tv <tv> 1:4.15.90-0.git14971.0.2.mga8
+ Revision: 1563843
- fix rpmbuild description: librpmsign was split a looong time ago...
- Add bconds for and enable sqlite, ndb and bdb_ro database backends
- Add bcond for disabling bdb backend
- Ensure all database backend files are owned
- simplify rpm-4.15.x-ldflags.patch as we now have %%build_ldflags in rpm-mageia-setup
- Re-enable hard test-suite failures again
- adjust script.req not to output twice interpreter deps
  (thus fixing the last testsuite breakage)
- adjust testsuite expected results due to the fact we don't emit /bin/sh dep
- fix testsuite failure on debuginfo due to readelf seeing glibc's csu

* Sun Mar 29 2020 tv <tv> 1:4.15.90-0.git14971.0.1.mga8
+ Revision: 1562234
- 4.16.0 alpha (https://rpm.org/wiki/Releases/4.16.0)
  o perl-URPM build smoothly, its testsuite passed
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 tv <tv> 1:4.15.1-3.mga8
+ Revision: 1469730
- fix detecting zstd magic

* Tue Dec 10 2019 wally <wally> 1:4.15.1-2.mga8
+ Revision: 1465761
- set %%build_ldflags to same as %%ldflags

* Fri Nov 22 2019 tv <tv> 1:4.15.1-1.mga8
+ Revision: 1462176
- Rebase to 4.15.1 (https://rpm.org/wiki/Releases/4.15.1)
- Revert armv8 detection improvements

* Fri Oct 04 2019 tv <tv> 1:4.15.0-6.mga8
+ Revision: 1449204
- provides rpm-libs
- drop support for obsolete/broken %%apply_patches (use %%autopatch)

* Mon Sep 30 2019 tv <tv> 1:4.15.0-5.mga8
+ Revision: 1448388
- Update to 4.15.0 final (https://rpm.org/wiki/Releases/4.15.0)
- fix rpm-plugin-audit deps

* Fri Sep 06 2019 wally <wally> 1:4.15.0-0.rc1.5.mga8
+ Revision: 1437727
- push to core/updates_testing for python3.8

* Thu Sep 05 2019 wally <wally> 1:4.15.0-0.rc1.4.mga8
+ Revision: 1437666
- fix ldflags patch

* Wed Sep 04 2019 wally <wally> 1:4.15.0-0.rc1.3.mga8
+ Revision: 1437137
- rebuild for arm

* Tue Sep 03 2019 wally <wally> 1:4.15.0-0.rc1.2.mga8
+ Revision: 1436775
- rebuild for python3.8
- drop python2 support
+ tv <tv>
- Rebase to 4.15.0 RC
- Drop leftover build-dependency on binutils-devel
- %%apply_patches patch simplified but need testing (or to drop)

* Thu May 30 2019 tmb <tmb> 1:4.14.2.1-12.mga7
+ Revision: 1399388
- add versioned deps on lib(64)db5.3 for upgrades (mga #24767)

* Sat May 04 2019 pterjan <pterjan> 1:4.14.2.1-11.mga7
+ Revision: 1396361
- Add upstream patch adding armv8l definitions

* Fri Apr 12 2019 tv <tv> 1:4.14.2.1-10.mga7
+ Revision: 1389504
- Unbreak Python 3 API by returning string data as surrogate-escaped utf-8
  string objects instead of bytes (rhbz#1693751)
- As a temporary crutch,  monkey-patch a .decode() method to returned strings
  to give users time to migrate from the long-standing broken behavior
- Fix excessive reference counting on faked string .decode()
- Generate minidebug for PIE executables on file >= 5.33 too
- Backport find-debuginfo --g-libs option for glibc's benefit (rhbz#1661512)
- Backport the new modularity label tag (rhbz#1650286)

* Sat Jan 05 2019 wally <wally> 1:4.14.2.1-9.mga7
+ Revision: 1349233
- rebuild for python3.7
+ tv <tv>
- Take prefix into account when compressing man pages etc for Flatpak builds

* Tue Oct 23 2018 tv <tv> 1:4.14.2.1-8.mga7
+ Revision: 1324606
- wipe out BDB environment at boot via tmpfiles.d

* Tue Oct 23 2018 tv <tv> 1:4.14.2.1-7.mga7
+ Revision: 1324605
- Own all rpmdb files and ensure the list remains up to date
- Drop redundant verify exclusions on rpmdb ghosts
- Rebase to rpm 4.14.2.1 (http://rpm.org/wiki/Releases/4.14.2.1)
- rpmfc: push name/epoch/version/release macro before invoking (rpm#502)

* Tue Sep 25 2018 tv <tv> 1:4.14.2-7.mga7
+ Revision: 1304725
- rebuild for provides

* Mon Sep 24 2018 tv <tv> 1:4.14.2-6.mga7
+ Revision: 1303637
- really rebuild against new python
- rebuild against new python

* Tue Sep 11 2018 wally <wally> 1:4.14.2-4.mga7
+ Revision: 1258422
- update ldflags patch to work (as we don't have %%__global_ldflags)

* Mon Sep 10 2018 tv <tv> 1:4.14.2-3.mga7
+ Revision: 1258145
- filter bin/env before handling python/perl/...
  thus fixing file dep on /bin/pythin in eg: gobject-introspection

* Sat Sep 08 2018 tv <tv> 1:4.14.2-2.mga7
+ Revision: 1257756
- add support for scriptlet deps in generated deps

* Thu Aug 23 2018 tv <tv> 1:4.14.2-1.mga7
+ Revision: 1253552
- Update to rpm 4.14.2 final (http://rpm.org/wiki/Releases/4.14.2)
- Move python-macro-helper to main package where the macros are (rhbz#1577860)
  thus fixing errors when running rpmlint w/o rpm-build installed

* Wed Aug 08 2018 tv <tv> 1:4.14.2-0.rc2.1.mga7
+ Revision: 1250413
- Update to rpm 4.14.2-rc2

* Sat Aug 04 2018 tmb <tmb> 1:4.14.2-0.rc1.3.mga7
+ Revision: 1247423
- rebuild for perl 5.28

* Wed Aug 01 2018 tv <tv> 1:4.14.2-0.rc1.2.mga7
+ Revision: 1246497
- Decompress DWARF compressed ELF sections
  (debugedit and dwz do not support them)

* Mon Jul 02 2018 tv <tv> 1:4.14.2-0.rc1.1.mga7
+ Revision: 1241275
- 4.14.2 RC1
- drop merged patches

* Tue Jun 12 2018 tv <tv> 1:4.14.1-7.mga7
+ Revision: 1236504
- Skip automatic Python byte-compilation (outside of Python directories) if
  *.py files are not present, and allow to disable it even if they are
  See https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation
- add support for --what(conflicts|obsoletes)

* Sat May 26 2018 tmb <tmb> 1:4.14.1-6.mga7
+ Revision: 1232283
- rebuild for new glibc

* Wed May 23 2018 tv <tv> 1:4.14.1-5.mga7
+ Revision: 1231928
- find-debuginfo.sh: Handle application/x-pie-executable (rhbz#1581224)

* Wed Apr 25 2018 ngompa <ngompa> 1:4.14.1-4.mga7
+ Revision: 1222373
- Enable zstd payload support
- Add missing Conflicts for rpm-plugin-prioreset
- Consistently indent some BRs
+ wally <wally>
- add aarch64 support

* Sat Jan 20 2018 tv <tv> 1:4.14.1-3.mga7
+ Revision: 1195265
- obsolete temp rpm-fix

* Sat Jan 20 2018 tv <tv> 1:4.14.1-2.mga7
+ Revision: 1195210
- temporary BR rpm-fix
- Avoid nuking the new python-macro-helper along with dep generators (rhbz#1535692)

* Wed Jan 17 2018 tv <tv> 1:4.14.1-1.mga7
+ Revision: 1194183
- 4.14.1

* Thu Jan 11 2018 ngompa <ngompa> 1:4.14.0-7.mga7
+ Revision: 1192335
- Remove patches for Platform Python, as it's gone in Fedora
- Use correct macros for building Python bindings

* Sat Dec 16 2017 tv <tv> 1:4.14.0-6.mga7
+ Revision: 1182973
- Fix file lists getting fed to file triggers multiple times (rpm#370)

* Wed Nov 22 2017 tv <tv> 1:4.14.0-5.mga7
+ Revision: 1178637
- Fix not all %%transfiletriggerpostun triggers executing (rhbz#1514085)

* Fri Oct 27 2017 tv <tv> 1:4.14.0-4.mga7
+ Revision: 1173947
- find-lang: restore support for multiple names...

* Sun Oct 15 2017 tv <tv> 1:4.14.0-3.mga7
+ Revision: 1171981
- prevent emitting filedeps on lua since it relies on alternatives

* Sat Oct 14 2017 tv <tv> 1:4.14.0-2.mga7
+ Revision: 1171728
- patch 176: prevent emitting bogus "file /bin/lua is not owned by any package"
  requires
  while this bug existed for quite a long time, only copy-jdk-configs-3.2-1.mga7
  exposed it, as it relies on an "alternatived" interpreter, symlinked to
  /etc/alternatives/

* Thu Oct 12 2017 tv <tv> 1:4.14.0-1.mga7
+ Revision: 1171432
- new release
- explain patches

* Thu Oct 05 2017 tv <tv> 1:4.14.0-0.rc2.4.mga7
+ Revision: 1169122
- fix rebuilddb only creating main Packages db, thus breaking verifydb after
  rebuilddb in perl-RPM4 testsuite (last RPM4 regression :-) )

* Wed Oct 04 2017 tv <tv> 1:4.14.0-0.rc2.3.mga7
+ Revision: 1168517
- URPM regression fix: Always initialize hdrp retval of rpmReadPackageFile()

* Mon Oct 02 2017 tv <tv> 1:4.14.0-0.rc2.2.mga7
+ Revision: 1162647
- revert upstream changes ignoring autpdeps from docs, thus breaking perl deps

* Thu Sep 28 2017 tv <tv> 1:4.14.0-0.rc2.1.mga7
+ Revision: 1161060
- rpm 4.14.0-rc2 (http://rpm.org/wiki/Releases/4.14.0)
- drop specspo patch we don't want
- better URL

* Mon Sep 18 2017 tv <tv> 1:4.14.0-0.rc1.4.mga7
+ Revision: 1155230
- Fix Ftell() past 2GB on 32bit architectures (rhbz#1492587)
- Avoid multiple strlen() calls on the constant prefix string when searching FT

* Wed Sep 13 2017 pterjan <pterjan> 1:4.14.0-0.rc1.3.mga7
+ Revision: 1153650
- Fix bad merge

* Wed Sep 13 2017 tv <tv> 1:4.14.0-0.rc1.2.mga7
+ Revision: 1153530
- use upstream fix for not run filetriggers (mga#18797)

* Thu Sep 07 2017 tv <tv> 1:4.14.0-0.rc1.1.mga7
+ Revision: 1151713
- rebase to rpm 4.14.0-rc1 (http://rpm.org/wiki/Releases/4.14.0)
- drop merged patches
- disable do-not-link-libpython.patch

* Tue Sep 05 2017 tv <tv> 1:4.13.90-0.git14002.13.mga7
+ Revision: 1151563
- BR gnupg2 for testsuite
- Band-aid for DB_VERSION_MISMATCH errors on glibc updates (rhbz#1465809)
- Remove ugly kludges from posttrans script, BDB handles this now
- fix plugin-prioreset deps
- -fPIC is no more needed

* Wed Aug 23 2017 tv <tv> 1:4.13.90-0.git14002.12.mga7
+ Revision: 1143554
- use silent lookups, thus hiding warning regarding debuginfo for noarch
  packages (rhbz#1482144)
- use platform-python for bytecompilation in /usr/lib*/platform-python
- 4.14 alpha (major is now 8)
- drop ton of merged patches
- rediff a couple patches
- new plugin plugin-prioreset (not to be installed by default)
- disable new sha256 header digest, generation until fixed in older
  versions (rhbz#1480407)
- disable macro argument quoting breaks too much stuff, until a better
  solution is found upstream (rhbz#1481025)

* Thu Aug 03 2017 tv <tv> 1:4.13.0.1-11.mga7
+ Revision: 1134493
- ignore testsuite failures again
- move debugsource enablement into rpm-mageia-setup
- do not ignore testsuite errors anymore
- remove 2 patches patches that made old suggests be equivalent to recommends
  (for mga4 -> mga5 upgrade)
- make clear patch3 is not from FC
- renumber patches (easier sync with FC)
+ philippem <philippem>
- rebuild for Python 3.6

* Sun Jul 30 2017 ngompa <ngompa> 1:4.13.0.1-9.mga7
+ Revision: 1132913
- Refresh debuginfo + debugsource patches from Fedora
- Split rpm plugins into subpackages
- Split cron job into subpackage
- Weakly depend on rpm plugins to continue existing behavior
- Revert BR on python3.6 and BR on python3
+ philippem <philippem>
- rebuild with python 3.6.2
+ neoclust <neoclust>
- Add back commit "actually swith to OpenSSL for crypto"

* Thu Jul 27 2017 neoclust <neoclust> 1:4.13.0.1-7.mga7
+ Revision: 1131320
- Revert using openssl ( just to have it using last changes regarding debugsources)
+ tv <tv>
- revert using debugsources by default
- actually swith to OpenSSL for crypto
- remove temporary cauldron obsoletes (was for mga5's cauldron)

* Wed Jul 26 2017 tv <tv> 1:4.13.0.1-6.mga7
+ Revision: 1131292
- Backport trivial fix for debugsourcefiles.list ending up in random dir
- Enable debugsource and debuginfo subpackages by default
- Make sure that test results are not ignored
- Fix rpmfd_write on big endian arches.

* Sun Jul 23 2017 tv <tv> 1:4.13.0.1-5.mga7
+ Revision: 1129481
- find-debuginfo.sh: Remove non-allocated NOBITS sections from minisymtab

* Thu Jul 20 2017 tv <tv> 1:4.13.0.1-4.mga7
+ Revision: 1125499
- split python deps generators into python3-rpm-generators
- misc fixes from FC
- backport debuginfo improvements from master, including:
  o debuginfo build-id warn/error fix (rhbz#1430587)
  o Parallel debuginfo processing
  o Support debugsource and debuginfo subpackages
- OpenSSL backend
- Rich dependencies coming from dependency generators
- Python dependency generators live in python-rpm-generators now (rhbz#1444925)
- use colors when logging on terminal

* Mon Jul 10 2017 pterjan <pterjan> 1:4.13.0.1-3.mga6
+ Revision: 1109604
- Add an ugly patch to fix trans file triggers not being run (mga#18797)

* Wed Mar 01 2017 tv <tv> 1:4.13.0.1-2.mga6
+ Revision: 1088380
- fix Python byte compilation for Python3 only packages (rhbz#1411588)
- sync pythondistdeps.py with FC but the fileattr patch that makes the switch to new python deps
- Fix number of references on spec_Type (rhbz#1426578)

* Thu Feb 16 2017 tv <tv> 1:4.13.0.1-1.mga6
+ Revision: 1086427
- new version

* Wed Jan 25 2017 tv <tv> 1:4.13.0-8.mga6
+ Revision: 1083416
- Fix malformed packages being generated around 4GB boundary (rhbz#1405570)
- Resurrect debuginfo GDB index generation (rhbz#1410907)

* Thu Dec 29 2016 tv <tv> 1:4.13.0-7.mga6
+ Revision: 1078606
- disable the systemd-inhibit plugin when systemd-logind is not running (Martin
  Whitaker, mga#20016)
+ tmb <tmb>
- use hardcoded epoch in python-rpm obosolete (Rémi)

* Sun Nov 13 2016 tmb <tmb> 1:4.13.0-6.mga6
+ Revision: 1066937
- fix obsoleting python-rpm (missing epoch)

* Fri Nov 11 2016 tv <tv> 1:4.13.0-5.mga6
+ Revision: 1066503
- add more check regarding trigger separators

* Fri Nov 11 2016 tv <tv> 1:4.13.0-4.mga6
+ Revision: 1066388
- patch 506: Ensure that file trigger conditions are paths (mga#18797)
  (beware glib2.0)
- drop now uneeded tarball of missing files
- drop very old conflicts
- do not include all man8 man pages when some are also in other subpkgs
- move rpmspec man page in the build subpkg that includes it
- sort
- rename python-rpm -> python2-rpm
- drop mga5 specific lua requires

* Mon Nov 07 2016 tv <tv> 1:4.13.0-3.mga6
+ Revision: 1065616
- fix invalid memory access on %%transfiletriggerpostun (rhbz#1284645, mga#18797)

* Thu Nov 03 2016 tv <tv> 1:4.13.0-2.mga6
+ Revision: 1064997
- use gnupg2 for signing
- add conditional to build with ndb
- build with acl support
- remove non existing --with-apidocs option
- remove non existing --without-javaglue option
- remove non existing --with-sqlite3 option
- remove non existing --with-glob option
- add %%bcond_without check
- remove %%bcond_without python
- fix lib summary+descr
- update devel descr
- fix python-rpm name in descr
- fix python3-rpm name in descr
- explain what RPM means

* Thu Nov 03 2016 tv <tv> 1:4.13.0-1.mga6
+ Revision: 1064911
- final release
- drop 1 merged patch
- adjust rpmdb index ghosts to match rpm-4.9+ reality
- patch 504: switch to upstream fix for testsuite

* Fri Oct 21 2016 tv <tv> 1:4.13.0-0.rc2.2.mga6
+ Revision: 1062889
- do not packge GROUPS (mga#10250)
- re-enable testsuite
- source2: add missing files for testsuite
- patches 503-505: fix testsuite
- switch to %%autosetup
- rename doc subpkg as apidocs
- package license with %%license
- update license

* Thu Oct 20 2016 tv <tv> 1:4.13.0-0.rc2.1.mga6
+ Revision: 1062738
- rpm 4.13.0~rc2
- fix Source URL
- drop merged patches
- BR binutils-devel again
- use %%global instead of %%define

* Wed Oct 19 2016 tv <tv> 1:4.13.0-0.rc1.37.mga6
+ Revision: 1062311
- switch to the upstream gem extraction in %%setup (needs adaptation in rubygems.macros in ruby-RubyGems)
- patch 501: fix rpm2cpio.sh (not rpm2cpio) with locales where it's broken (mga#13631)
- renumber patch 132 as it's not a FC patch and conflicts with resyncing

* Sat Oct 15 2016 tv <tv> 1:4.13.0-0.rc1.36.mga6
+ Revision: 1060956
- drop %%old_configure I introduced a couple months ago as all packages using it have been fixed
- we don't need tetex anymore

* Mon Oct 10 2016 ngompa <ngompa> 1:4.13.0-0.rc1.35.mga6
+ Revision: 1060025
- Fix rpm2archive to return 0 on successful conversion
- Prevent find-debuginfo.sh from copying extra sections into .gnu_debugdata (rhbz#1382394)
+ tv <tv>
- Fix signing with non-ASCII uid keys (rhbz#1243963)
- Use armv7hl isa for all armhfp (armv7h*l) arches (rhbz#1326871)

* Tue May 17 2016 tv <tv> 1:4.13.0-0.rc1.33.mga6
+ Revision: 1016514
- Filter unversioned deps if corresponding versioned deps exist (rhbz#678605)

* Wed May 11 2016 tv <tv> 1:4.13.0-0.rc1.32.mga6
+ Revision: 1013627
- patch 201: fix a segfault in perl-RPM4 testsuite

* Tue Apr 26 2016 tv <tv> 1:4.13.0-0.rc1.31.mga6
+ Revision: 1006325
- Fix sigsegv in stringFormat() (rhbz#1316903)
- Fix reading rpmtd behind its size in formatValue() (rhbz#1316896)

* Sat Apr 16 2016 tv <tv> 1:4.13.0-0.rc1.30.mga6
+ Revision: 1002880
- use upstream patch for fuzz settings for %%autopatch/%%autosetup
- add %%{_default_patch_flags} to %%__patch which is used in %%autosetup
- enable --no-backup-if-mismatch by default in %%patch macro (rhbz#884755)
- make creating index records consistent for rich & rich-weak deps (rhbz#1325982)

* Thu Apr 14 2016 tv <tv> 1:4.13.0-0.rc1.29.mga6
+ Revision: 1001343
- provides: rpm-libs

* Wed Apr 13 2016 tv <tv> 1:4.13.0-0.rc1.28.mga6
+ Revision: 1001095
- add RPMCALLBACK_ELEM_PROGRESS callback type
- fix non-working combination of %%lang and %%doc directive (rhbz#1254483)
- add posix.redirect2null (rhbz#1287918)

* Sun Apr 03 2016 tv <tv> 1:4.13.0-0.rc1.27.mga6
+ Revision: 997815
- sync localstatedir value with rpm-mageia-setup one
- change platform sharedstatedir to something more sensible (mga#16944)

* Thu Mar 24 2016 tv <tv> 1:4.13.0-0.rc1.26.mga6
+ Revision: 995107
- Add posix.redirect2null (rhbz#1287918)
+ wally <wally>
- fix rpm_add_armv5tl.patch to apply with fuzz=0

* Sun Mar 13 2016 wally <wally> 1:4.13.0-0.rc1.25.mga6
+ Revision: 990197
- add patch from Neal Gompa to use fuzz setting with %%autopatch and %%autosetup
+ tv <tv>
- add a doc subpackage

* Sun Feb 28 2016 tv <tv> 1:4.13.0-0.rc1.24.mga6
+ Revision: 980315
- Fix ExclusiveArch/ExcludeArch for noarch packages (rhbz#1298668)
- Fix dependencies for RemovePathPostfixes (rhbz#1306559)

* Tue Feb 23 2016 tv <tv> 1:4.13.0-0.rc1.23.mga6
+ Revision: 977389
- block idle and sleep in the systemd-inhibit plugin (rhbz#1297984)
- remove size limit when expanding macros (rhbz#1301677)

* Thu Jan 28 2016 tv <tv> 1:4.13.0-0.rc1.22.mga6
+ Revision: 928464
- fix memleak in file triggers

* Thu Jan 21 2016 tv <tv> 1:4.13.0-0.rc1.21.mga6
+ Revision: 926192
- fix %%autosetup not to cause errors during run of rpmspec tool (rhbz#1293687)

* Sun Jan 17 2016 tv <tv> 1:4.13.0-0.rc1.20.mga6
+ Revision: 924811
- fix recursive calling of rpmdeps tool (rhbz#1297557)
- add support for missingok file attribute

* Thu Jan 14 2016 tv <tv> 1:4.13.0-0.rc1.19.mga6
+ Revision: 923008
- use upstream fix for filetriggers in chroo

* Wed Jan 13 2016 tv <tv> 1:4.13.0-0.rc1.18.mga6
+ Revision: 922386
- simplify filetriggers-in-chroot fix

* Sun Jan 10 2016 tv <tv> 1:4.13.0-0.rc1.17.mga6
+ Revision: 920950
- fix accessing filetriggers indexes in chroot

* Sat Jan 09 2016 tv <tv> 1:4.13.0-0.rc1.16.mga6
+ Revision: 920682
- fix transaction file triggers not run in chroot (mga#17217)
- notice that this package is synced with FC

* Sun Nov 29 2015 tv <tv> 1:4.13.0-0.rc1.15.mga6
+ Revision: 907209
- enable to disable file triggers
- switch to pkgconfig() BRs

* Sun Nov 08 2015 tv <tv> 1:4.13.0-0.rc1.14.mga6
+ Revision: 898696
- fix crash when parsing corrupted RPM file (rhbz#1273360)
- fix SIGSEGV in case of old unsupported gpg keys (rhbz#1277464)

* Sun Nov 01 2015 tv <tv> 1:4.13.0-0.rc1.13.mga6
+ Revision: 897085
- ignore SIGPIPE signals during execucton of scriptlets (rhbz#1264198)

* Thu Oct 29 2015 tv <tv> 1:4.13.0-0.rc1.12.mga6
+ Revision: 896184
- sync patches with RH:
  o Fix reading memory right after the end of an allocated area (rhbz#1260248)
  o Add support for various dependencies to rpmdeps tool (rhbz#1247092)
  o If %%_wrong_version_format_terminate_build is 1 then terminate build in case
    that version format is wrong i. e. epoch is not unsigned integer or version
    contains more separators (":", "-"). %%_wrong_version_format_terminate_build
    is 1 by deafault (rhbz#1265700)
- BR dbus-devel for systemd inhibit plugin (mga#16950)

* Thu Oct 08 2015 philippem <philippem> 1:4.13.0-0.rc1.11.mga6
+ Revision: 887347
- Rebuild for Python3.5

* Thu Sep 17 2015 tv <tv> 1:4.13.0-0.rc1.10.mga6
+ Revision: 880163
- fix new rich dependency syntax
- rename cloberred %%configure as %%old_configure
- make %%autopach abort on missing patch

* Sat Sep 05 2015 tv <tv> 1:4.13.0-0.rc1.9.mga6
+ Revision: 873116
- submit to core/release
- drop patch 1008 (let's default to upstream XZ crc choice)

* Wed Sep 02 2015 tv <tv> 1:4.13.0-0.rc1.8.mga6
+ Revision: 872193
- 4.13.0 C1

* Fri Aug 28 2015 tv <tv> 1:4.12.90-8.mga6
+ Revision: 870747
- resolve some interpreters even if they're not in basesystem or in BRs
  (mga#16134)
- simplify: do interpreter requires blacklisting only once
- patch 0: sync with git, thus dropping 14 patches
  (6 FC ones + 8 MGA ones)

* Tue Aug 25 2015 tv <tv> 1:4.12.90-7.mga6
+ Revision: 869311
- patch 7002: allow having several "identical"trans file triggers

* Sun Aug 16 2015 tmb <tmb> 1:4.12.90-6.mga6
+ Revision: 865174
- dont obsolete lib(64)rpm* with major 3 as it breaks BS
- adapt lib(64)rpm3 conflict to match mga5 update rpm

* Mon Aug 10 2015 tv <tv> 1:4.12.90-5.mga6
+ Revision: 862378
- drop patch 111 (o more needed since rpm-4.6)
- fix python 3 support
- drop support for MIPS

* Fri Aug 07 2015 tv <tv> 1:4.12.90-4.mga6
+ Revision: 861512
- split the XZ patch into 2
- make geode appear as i686 (rhbz#517475)
- add RPM_LD_FLAGS to build environment (rhbz#728974)

* Fri Aug 07 2015 tv <tv> 1:4.12.90-3.mga6
+ Revision: 861501
- add --filetriggers option to show info about file triggers

* Wed Aug 05 2015 tv <tv> 1:4.12.90-2.mga6
+ Revision: 861242
- drop patch 22 (no more needed since rpm-4.9+)
  (side effect: %%preun faillure now mean uninstall faillure)
- if globbing of a filename fails, try use the filename without globbing.
  (rhbz#1246743)
- modify rpmIsGlob() to be more precise and compatible with glob().
- don't warn when an escaped macro is in a comment (rhbz#1224660)
- fix macros in comments
- explain some patches
- drop patch 3005 (testsuite now works OK)

* Sat Aug 01 2015 tv <tv> 1:4.12.90-1.mga6
+ Revision: 860282
- fix mga5 upgrade
- drop old filetriggers implementation now that upstream has one
  (see http://www.rpm.org/wiki/FileTriggers)
- switch from %%apply_patches to %%autopatch
- 4.13 alpha

* Sat Aug 01 2015 tv <tv> 1:4.12.0.1-23.mga6
+ Revision: 860239
- move plugins in main package (preps for 4.13 migration)
- revert r469312 (support for non Linux in spec)

* Fri Jul 03 2015 tv <tv> 1:4.12.0.1-22.mga6
+ Revision: 849634
- simplify using %%bcond_with*
- remove support for not building plugins
- drop patch 17 (was adding a -p option to gendiff that was only used by
  chmouel 15 years ago...)
- patch 135: drop it as upstream says it's bogus
- drop patch64 (we don't support mnb for quite some time and we don't
  even ship a mageia/rpmpopt anyway)
- deprecate %%apply_patches (use %%autopatch instead)
- document some patches

* Sun Jun 28 2015 tv <tv> 1:4.12.0.1-21.mga6
+ Revision: 846625
- fix --excludedocs option (rhbz#1192625)
- pass _find_debuginfo_opts -g to eu-strip for executables (rhbz#1186563)
- fix golang debuginfo packages (#1184221)
- add --whatrecommends and friends (rhbz#1231247)
- drop temporary band aid for early rpm-4.12 regression
  (all packages were rebuild after in mga5)
- drop fs check, we're living in a /usr world for several releases now
- kill patch 2100 (unused since rpm-setup is fixed)
  (another nice side effect of siding with FC/Suse)

* Sat Feb 14 2015 pterjan <pterjan> 1:4.12.0.1-20.mga5
+ Revision: 814948
- Don't fail the build when file reports to many notes in an ELF

* Fri Feb 06 2015 tv <tv> 1:4.12.0.1-19.mga5
+ Revision: 813738
- disable patch #3504 as it breaks SUID (mga#14691)

* Tue Feb 03 2015 colin <colin> 1:4.12.0.1-18.mga5
+ Revision: 813285
- Drop unnecessary warning mga#14971
+ ovitters <ovitters>
- use upstream patch for python3 import patch

* Sun Jan 25 2015 ovitters <ovitters> 1:4.12.0.1-17.mga5
+ Revision: 812204
- add patch to fix parseSpec with Python3
+ pterjan <pterjan>
- Fix variable used for source URL

* Fri Jan 23 2015 ovitters <ovitters> 1:4.12.0.1-16.mga5
+ Revision: 811986
- add debian patch to fix linking
- add python3 subpackage

* Mon Jan 19 2015 tv <tv> 1:4.12.0.1-15.mga5
+ Revision: 811456
- enhanced python bindings doc

* Thu Dec 11 2014 luigiwalser <luigiwalser> 1:4.12.0.1-14.mga5
+ Revision: 802704
- adapt redhat patches from rhel to fix CVE-2013-6435

* Thu Nov 13 2014 tv <tv> 1:4.12.0.1-13.mga5
+ Revision: 796716
- BR binutils-devel
- fix .gnu_debuglink CRC32 after dwz (rhbz#971119)

* Sat Nov 01 2014 tv <tv> 1:4.12.0.1-12.mga5
+ Revision: 795108
- skip ghost files in payload (rhbz#1156497)
- fix size and archice size tag generation on big-endian systems

* Thu Oct 23 2014 tv <tv> 1:4.12.0.1-11.mga5
+ Revision: 792552
- no more need for reverting pthread locking

* Sun Oct 19 2014 tv <tv> 1:4.12.0.1-10.mga5
+ Revision: 791609
- revert using pthread lock for logging (mga#14172)

* Wed Oct 15 2014 umeabot <umeabot> 1:4.12.0.1-9.mga5
+ Revision: 748731
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 tmb <tmb> 1:4.12.0.1-8.mga5
+ Revision: 738142
- Dont wait for transaction lock within scriptlets (RhBug:1135596)

* Tue Sep 30 2014 tv <tv> 1:4.12.0.1-7.mga5
+ Revision: 732818
- add filtering macros from FC

* Fri Sep 26 2014 tv <tv> 1:4.12.0.1-6.mga5
+ Revision: 724978
- fix parsing some perl package versions

* Fri Sep 26 2014 tv <tv> 1:4.12.0.1-5.mga5
+ Revision: 724819
- fix "Invalid version format (alpha without decimal)" for perl-Software-License
- typo fix (Luc Menut)

* Tue Sep 23 2014 tv <tv> 1:4.12.0.1-4.mga5
+ Revision: 721937
- replace file deps by requires on packages
- blacklist libsafe & libfakeroot like in old days

* Mon Sep 22 2014 tv <tv> 1:4.12.0.1-3.mga5
+ Revision: 718427
- blacklist /usr/bin/ocamlrun file requires (we already have "ocaml(runtime)")

* Thu Sep 18 2014 tv <tv> 1:4.12.0.1-2.mga5
+ Revision: 695866
- temporary band-aid for rpm2cpio whining on payload size mismatch (rhbz#1142949)

* Thu Sep 18 2014 tmb <tmb> 1:4.12.0.1-1.mga5
+ Revision: 695010
- update to 4.12.0.1

* Wed Sep 17 2014 pterjan <pterjan> 1:4.12.0-7.mga5
+ Revision: 693176
- Really rebuild with current version

* Wed Sep 17 2014 tv <tv> 1:4.12.0-6.mga5
+ Revision: 693171
- rebuild with itself now that requires are nicely computed

* Wed Sep 17 2014 tv <tv> 1:4.12.0-5.mga5
+ Revision: 693154
- really fix library provides/requires

* Wed Sep 17 2014 tv <tv> 1:4.12.0-4.mga5
+ Revision: 691307
- better fix for library require (w/o debuginfo requires)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.12.0-2.mga5
+ Revision: 687014
- Rebuild to fix library dependencies

* Tue Sep 16 2014 tv <tv> 1:4.12.0-1.mga5
+ Revision: 686484
- final release
- drop merged patches 4011 & 4013

* Tue Sep 16 2014 pterjan <pterjan> 1:4.12.0-0.rc1.6.mga5
+ Revision: 685056
- Generate ELF provides for libraries, not only for executables

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.5.mga5
+ Revision: 675467
+ rebuild (emptylog)

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.4.mga5
+ Revision: 675445
- fix requires

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.3.mga5
+ Revision: 675418
- make sure rpm-build pulls the right librpmbuild

* Sun Sep 14 2014 tv <tv> 1:4.12.0-0.rc1.2.mga5
+ Revision: 675243
- filter /bin/bash too (regression when switching to upstream script)
- use %%makeinstall_std

* Sat Sep 13 2014 tv <tv> 1:4.12.0-0.rc1.1.mga5
+ Revision: 674945
- fix self-provides
- better solution for RECOMMENDS with fallback on OLDSUGGEST:
  add RPMTAG_RECOMMENDNAME to extended tags
- resurrect payload and tilde rpmlib() dependencies
- new release (4.12.0 RC1):
  o all libraries now have the same major
  o BR pkgconfig(libarchive)
  o new tool: rpm2archive
- build plugins
- rediff patches 22, 83, 135, 146, 1007, 3005
- drop patch 31 (syslog support is now a plugin)
- drop patches 133 & 134, weak deps are now implemented upstream:
  (new weak deps implementation, the 3rd one)
  (old tags are renamed: SUGGESTS -> OLDSUGGEST)
  (new tags have different names: SUGGEST)
- patch 4010: make Recommends tag fallback to old suggests
  as it recommends was not used in mdv/mga, we were using SUGGESTS
  in RECOMMENDS place

* Fri Sep 12 2014 tv <tv> 1:4.11.3-2.mga5
+ Revision: 674891
- prepare switching from "external" to "internal" deps generator:
  o merge some mageia's perl.prov improvements back into upstream
  o merge mageia's find-requires.sh improvements back into upstream

* Sat Sep 06 2014 tv <tv> 1:4.11.3-1.mga5
+ Revision: 672469
- adjust file list
- new release
- fix building with plugins
- drop commented out patch (which is implemented differently in 4.12 anyway)
- drop "Requires: glibc >= 2.1.92" (mga has newer & glibc is autorequired)

* Sun Jul 27 2014 colin <colin> 1:4.11.2-7.mga5
+ Revision: 657571
- Implement support for prioritised filetriggers

* Tue Jul 01 2014 tv <tv> 1:4.11.2-6.mga5
+ Revision: 641727
- require fixed lua-5.2

* Mon Jun 30 2014 tv <tv> 1:4.11.2-5.mga5
+ Revision: 641668
- build with lua-5.2
- speedup testsuite by using eatmydata
+ pterjan <pterjan>
- Rebuild for new Python

* Fri May 09 2014 dmorgan <dmorgan> 1:4.11.2-3.mga5
+ Revision: 621327
- reduce the double separator spec parse error into a warning (RHBZ #1065563)

* Wed Feb 19 2014 tv <tv> 1:4.11.2-2.mga5
+ Revision: 594917
- submit to core/release

* Fri Feb 14 2014 tv <tv> 1:4.11.2-1.mga5
+ Revision: 591324
- new release

* Thu Feb 06 2014 tv <tv> 1:4.11.2-0.rc2.8.mga5
+ Revision: 584830
- new RC

* Tue Feb 04 2014 tv <tv> 1:4.11.2-0.rc1.8.mga5
+ Revision: 581966
- 4.11.2~rc1
- rediff patch 3000

* Fri Nov 15 2013 tv <tv> 1:4.11.1-8.mga4
+ Revision: 551382
- submit to core/release

* Wed Nov 13 2013 tv <tv> 1:4.11.1-7.mga4
+ Revision: 550967
- drop "fix aborting when ordering empty transactions" patch
  (rpm was fixed and perl-URPM-4.22+ no more create them anyway)
- fix yum segfaulting (mga#11621, Panu)

* Tue Oct 22 2013 umeabot <umeabot> 1:4.11.1-6.mga4
+ Revision: 546201
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 lmenut <lmenut> 1:4.11.1-5.mga4
+ Revision: 502275
- patch 4008: don't bytecompile python files in docdir

* Wed Oct 02 2013 colin <colin> 1:4.11.1-4.mga4
+ Revision: 490444
- Disable debuginfo extraction 'fix' as it breaks more than it fixes
- Do not use %%attr on symlinks

* Sat Sep 28 2013 tv <tv> 1:4.11.1-3.mga4
+ Revision: 488504
- sync weak deps with suse now that they've updated to 4.11.0 too (mga#11095)
+ colin <colin>
- Fix debuginfo extraction on some configurations

* Thu Aug 22 2013 kamil <kamil> 1:4.11.1-2.mga4
+ Revision: 469312
- be more generic with hardcoding linux specific configuration in the .spec

* Thu Jun 27 2013 tv <tv> 1:4.11.1-1.mga4
+ Revision: 447560
- new release

* Thu Jun 20 2013 tv <tv> 1:4.11.1-0.rc2.1.mga4
+ Revision: 445226
- RC2

* Tue Jun 11 2013 tv <tv> 1:4.11.1-0.rc1.3.mga4
+ Revision: 441933
- patch 1000: fix an upstream regression
- adapt to upstreap isNewDep() changes
- display testsuite errors when those happen
- fix testsuite regressions

* Mon Jun 10 2013 tv <tv> 1:4.11.1-0.rc1.2.mga4
+ Revision: 441839
- restore lost patch bits

* Mon Jun 10 2013 tv <tv> 1:4.11.1-0.rc1.1.mga4
+ Revision: 441834
- adjust file list
- new release

* Sun Feb 03 2013 tv <tv> 1:4.11.0.1-1.mga3
+ Revision: 394238
- reset mkrel

* Fri Feb 01 2013 tv <tv> 1:4.11.0.1-9.mga3
+ Revision: 393936
- new release
- drop patch 4004
- rediff patch 3500

* Tue Jan 22 2013 fwang <fwang> 1:4.11.0-0.beta1.9.mga3
+ Revision: 390713
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1:4.11.0-0.beta1.8.mga3
+ Revision: 380447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 tv <tv> 1:4.11.0-0.beta1.7.mga3
+ Revision: 337028
- switch debug packages from foobar-debug to foobar-debuginfo

* Sun Dec 23 2012 tv <tv> 1:4.11.0-0.beta1.6.mga3
+ Revision: 334395
- submit to core/release

* Tue Dec 18 2012 tv <tv> 1:4.11.0-0.beta1.5.mga3
+ Revision: 332644
- restore check for /usr move (was wrongly removed)

* Tue Dec 18 2012 tv <tv> 1:4.11.0-0.beta1.4.mga3
+ Revision: 332323
- fix abort while ordering empty transactions

* Mon Dec 17 2012 tv <tv> 1:4.11.0-0.beta1.3.mga3
+ Revision: 332188
- revert upstream debug -> debuginfo rename

* Mon Dec 17 2012 tv <tv> 1:4.11.0-0.beta1.2.mga3
+ Revision: 332169
- patch 83: plug memory leaks

* Mon Dec 17 2012 tv <tv> 1:4.11.0-0.beta1.1.mga3
+ Revision: 332065
- new release
- drop merged patches 3001 3500 4001 4002 & 4003
- rediff patches 83 & 145

* Sun Dec 09 2012 tv <tv> 1:4.10.2-1.mga3
+ Revision: 329045
- patch 4003: build fix
- new release
- drop patches 3503 & 4003 (merged)
- rediff patch 3002

* Thu Dec 06 2012 tv <tv> 1:4.10.1-6.mga3
+ Revision: 327271
- unbreak --setperms (RhBug:881835) (regression introduced in rpm >= 4.10
- make traversing rpmdb through NEVRA more robust

* Sat Dec 01 2012 wally <wally> 1:4.10.1-5.mga3
+ Revision: 324218
- restore and rediff patch 157 (introduce-_after_setup-which-is-called-after-setup.patch), calling rpmbuild or bm with option '--with git_repository' is broken without this patch

* Thu Oct 18 2012 tv <tv> 1:4.10.1-4.mga3
+ Revision: 308048
- enhance debugedit message

* Wed Oct 17 2012 tv <tv> 1:4.10.1-3.mga3
+ Revision: 307768
- upload to core/release

* Thu Oct 11 2012 tv <tv> 1:4.10.1-2.mga3
+ Revision: 304675
- patch 5303: fix hardlink checking regression

* Wed Oct 03 2012 tv <tv> 1:4.10.1-1.mga3
+ Revision: 302329
- new release
- rediff patch 3000
- requires xz instead of lzma

* Tue Aug 28 2012 tv <tv> 1:4.10.0-11.mga3
+ Revision: 284979
- rebuild for new binutils

* Sat Aug 04 2012 tv <tv> 1:4.10.0-10.mga3
+ Revision: 278429
- rebuild with compressed debug info
- re-enable testsuite

* Thu Aug 02 2012 tv <tv> 1:4.10.0-9.mga3
+ Revision: 277894
- rebuild with mini debug info

* Tue Jul 31 2012 tv <tv> 1:4.10.0-8.mga3
+ Revision: 276795
- patch 4000: merge find-debuginfo.sh changes from rpm-mageia-setup
- temporary disable test suite as the full build takes 5mn locally & on 32bits
  BS but 2 hours on jonud 64bit

* Tue Jul 31 2012 tv <tv> 1:4.10.0-7.mga3
+ Revision: 276745
- add "compressed" debug packages support

* Mon Jul 30 2012 tv <tv> 1:4.10.0-6.mga3
+ Revision: 276213
- add minidebug support
- build with db-5.3

* Fri Jul 20 2012 colin <colin> 1:4.10.0-5.mga3
+ Revision: 272737
- Add Fedora patch to add a new filesystem check for the usrmove

* Mon Jul 09 2012 dmorgan <dmorgan> 1:4.10.0-4.mga3
+ Revision: 268937
- Update rubygem patch ( from mandriva )

* Wed Jul 04 2012 rtp <rtp> 1:4.10.0-3.mga3
+ Revision: 267694
- fix testsuite
- fix filelist

* Thu Jun 28 2012 tv <tv> 1:4.10.0-2.mga3
+ Revision: 264615
- patch 133: fix segfaulting in "rpm -q --suggests foobar"

* Tue Jun 26 2012 tv <tv> 1:4.10.0-1.mga3
+ Revision: 264064
- fix & reenable testsuite

* Wed Jun 20 2012 tv <tv> 1:4.10.0-0.8.mga3
+ Revision: 262322
- drop patches:
  o 137, as there's no guaranty on the actual current encoding, we may
    return garbage and anyway mga has no l10n specs
  o 152: nss is now set at configure time
  o 1009 (rpm5 tags) as rpm-4.9+ doesn't choke on them
  o 2005, obsolete as rpm-4.8+ set LANG in %%___build_pre
- patch 2100: fix running testsuite when not having the uncompiled "magic" file
- rpmsign is only in rpmsign, not in main package too

* Tue Jun 12 2012 fwang <fwang> 1:4.10.0-0.3.mga3
+ Revision: 260027
- add conflicts on jpackage to ease upgarde

* Fri Jun 08 2012 tv <tv> 1:4.10.0-0.2.mga3
+ Revision: 257999
- fix filelist on ia32
- temporary disable testsuite due to an issue with the 'file' command
- bump conflicts with perl-URPM
- switch from db4.8 to db5.2
- patch 83: fix regression on doc conflict check; also reduces check overhead a little bit
- BR lua5.1-devel instead of lua-devel
- rediff patches 3002-4 (MIPS & ARM)
- annotate some patches
- drop (very) old post script for convertrpmr.sh
- rediff patches 3002-4 (MIPS & ARM)
- rediff patches 83 111 159 1009 2006
- patch 49 was merged upstream
- new release
- rediff weakdep patch
- drop merged FC patches
- drop merged patch 4000
- temporary disable patches 49, 83, 111, 145, 159, 1009, 2006

* Thu Apr 19 2012 dmorgan <dmorgan> 1:4.9.1.3-2.mga2
+ Revision: 231844
- Add upstream patch Warn but dont fail the build on STABS debuginfo (RhBug:725378, others)

* Thu Apr 05 2012 tv <tv> 1:4.9.1.3-1.mga2
+ Revision: 228572
- new release (pure security fixes)

* Tue Mar 13 2012 tv <tv> 1:4.9.1.2-22.mga2
+ Revision: 223263
- BR fakechroot, thus fixing all remaining testsuite issues (but a rpmspec
  faillure due to /etc/rpm/macros.d/20build.macros)

* Tue Mar 13 2012 tv <tv> 1:4.9.1.2-21.mga2
+ Revision: 223206
- merge patches 4103-4108 from FC:
  o fix memory corruption on rpmdb size estimation (#766260)
    (might help mga#4918):
  o fix couple of memleaks in python bindings (RH#782147)
  o fix regression in verify output formatting (RH#797964)
  o dont process spec include in false branch of if (RH#782970)
  o only warn on missing excluded files on build (RH#745629)
  o dont free up file info sets on test transactions
- patches 133, 1009: fix a testsuite regression

* Sat Mar 03 2012 tmb <tmb> 1:4.9.1.2-20.mga2
+ Revision: 217265
- restore P4000 as it's not causing the the out of memory errors

* Fri Mar 02 2012 dmorgan <dmorgan> 1:4.9.1.2-19.mga2
+ Revision: 216922
- Comment P4000, just to see if the regression saw is because of this

* Tue Feb 28 2012 tv <tv> 1:4.9.1.2-18.mga2
+ Revision: 215854
- simplify patch 70
- revert changes to patch 133, instead include missing extcond patch 134 (SuSE, mga#4012)
+ fwang <fwang>
- use configure2_5x

* Mon Feb 27 2012 tv <tv> 1:4.9.1.2-17.mga2
+ Revision: 215717
- fix rpm -q --suggests (mga#4012)
- patch 5000: switch back to former, much smaller BDB memory pool size (RhBug:752897)

* Tue Feb 07 2012 tv <tv> 1:4.9.1.2-16.mga2
+ Revision: 206214
- run testsuite

* Thu Jan 12 2012 tv <tv> 1:4.9.1.2-15.mga2
+ Revision: 195417
- patch 3004: unconditionally disable libio usage (mga#1962)
+ dmorgan <dmorgan>
- Fix ARM support ( rtp)
- Add back P3004: Fix ARM support

* Sat Dec 24 2011 dmorgan <dmorgan> 1:4.9.1.2-14.mga2
+ Revision: 187127
- Fix perms of script.req and elfdeps

* Fri Dec 23 2011 anssi <anssi> 1:4.9.1.2-13.mga2
+ Revision: 186888
- fix filetriggers that were broken by incomplete rediff of the patch for
  rpm 4.9 (filetriggers.patch)
+ dmorgan <dmorgan>
- Remove P5000, not usefull for us now

* Wed Dec 21 2011 dmorgan <dmorgan> 1:4.9.1.2-12.mga2
+ Revision: 185220
- Add %%epoch in Requires ( tks to boklm)

* Wed Dec 21 2011 dmorgan <dmorgan> 1:4.9.1.2-11.mga2
+ Revision: 185191
- Fix requires of the devel package

* Wed Dec 21 2011 blino <blino> 1:4.9.1.2-10.mga2
+ Revision: 185127
- fix perms of fileattrs directory (seems to break pkgconfig auto provides/requires)

* Tue Dec 20 2011 dmorgan <dmorgan> 1:4.9.1.2-9.mga2
+ Revision: 185086
- Rebuild in the BS
- Update to rpm 4.9.1.2 ( from work done on branch)
- Remove old sources

* Mon Nov 21 2011 dmorgan <dmorgan> 1:4.8.1-15.mga2
+ Revision: 170213
- Remove .la files

* Wed Nov 16 2011 jquelin <jquelin> 1:4.8.1-14.mga2
+ Revision: 168128
- another perl module required - this time for module::install powered dists

* Tue Nov 15 2011 jquelin <jquelin> 1:4.8.1-13.mga2
+ Revision: 167931
- perl(eumm) needs a recent CPAN::Meta to generate MYMETA files

* Mon Nov 14 2011 jquelin <jquelin> 1:4.8.1-12.mga2
+ Revision: 167751
- require a recent EUMM for perl in order to generate MYMETA files

* Sun Jun 19 2011 dmorgan <dmorgan> 1:4.8.1-11.mga2
+ Revision: 110107
- Add  File capability support

* Mon May 16 2011 dmorgan <dmorgan> 1:4.8.1-10.mga1
+ Revision: 99198
- Fix P147 to check for mageia too ( spotted by tvignaud )

* Sun Mar 27 2011 dmorgan <dmorgan> 1:4.8.1-9.mga1
+ Revision: 78198
- Fix previous commit
- Backport mdv commit 535522
  	- fix file trigger hang when several filetrigger scripts are run in parallel (mdvbz #57878)

* Fri Mar 18 2011 dmorgan <dmorgan> 1:4.8.1-8.mga1
+ Revision: 74203
- Add patch from rtp to fix build on arm (P3005)

* Fri Mar 04 2011 dmorgan <dmorgan> 1:4.8.1-7.mga1
+ Revision: 64225
- Really fix filetriggers

* Fri Mar 04 2011 dmorgan <dmorgan> 1:4.8.1-5.mga1
+ Revision: 64206
- Use texlive instead of tetex
- Fix file triggers

* Wed Mar 02 2011 dmorgan <dmorgan> 1:4.8.1-4.mga1
+ Revision: 62722
- Add a comment about patch64
- Add a comment about patch31 sent upstream
- As patch17 have been previously dropped, remove it from the spec file
- Change syslog patch and use the one sent upstream

* Tue Mar 01 2011 dmorgan <dmorgan> 1:4.8.1-3.mga1
+ Revision: 62080
- Drop old patch17
  Signed-off-by: cfergeau
  Signed-off-by: tvignaud

* Tue Mar 01 2011 dmorgan <dmorgan> 1:4.8.1-2.mga1
+ Revision: 62040
- Readd rpm-4.8.1-setup-rubygems.patch ( candidate for upstream )

* Thu Feb 24 2011 dmorgan <dmorgan> 1:4.8.1-1.mga1
+ Revision: 59113
- Add comment about patch17 that is a candidate for a drop
- Add exit to not build rpm for now
- Fix spec file ( from tv work)
- Comment release to be sure we do not upload rpm w/o a working perl-RPM4
- Remove patch 1017, to not diverge from main rpm.org regarding version comparison
- Restore rpm.org behaviour for %%exclude
- Update to rpm 4.8.1
- Fix typo
- Update to rpm 4.8 ( from cfergeau work )
+ tmb <tmb>
- read rpmrc and rpmpopt from /usr/lib/rpm/mageia/
+ blino <blino>
- add back manbo-rpmrc patch in SOURCES (thanks rtp)
- use _real_vendor macro
- revert manbo drop, it breaks many things (and builds packages as i386 on i586), we need to merge manbo files instead of dropping them

* Wed Jan 19 2011 tmb <tmb> 1:4.6.1-9.mga1
+ Revision: 24931
- hardcode mageia as distro name for now in order to force dropping requirements on rpm-manbo-setup-*
- drop P64, as it's manbo specific

* Mon Jan 17 2011 blino <blino> 1:4.6.1-8.mga1
+ Revision: 20921
- rebuild with new python

* Sun Jan 09 2011 blino <blino> 1:4.6.1-7.mga1
+ Revision: 3665
- rebuild with rpm-mageia-setup

* Sun Jan 09 2011 blino <blino> 1:4.6.1-6.mga1
+ Revision: 3615
- put the lowercase distro name in a macro (mandriva for now, as long as
  rpm-mageia-setup is not available, which needs an updated rpm)
- rebuild with rpm-mandriva-setup for now
- update rpmbuild unpackaged files check for mga
+ tmb <tmb>
- drop rpm tags
- rename mandriva to mageia
- remove support for old mandriva versions
- remove vendor checks (was only needed for Manbo labs)
- imported package rpm

